<?php
/**
* @version $Id: k2nocachepagebreak.php $
* @version		02/04/2014
* @package		plg_k2nocachepagebreak
* @author       Bernard Saulmé
* @copyright	Copyright (C) 2014 Bernard Saulmé
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.plugin.plugin');

class plgSystemK2NocachePagebreak extends JPlugin
{
	private $caching = 0;

	function __construct(&$subject, $params) {
            parent::__construct($subject, $params);
	}

	function onAfterRoute(){
		if ($this->checkK2Pagebreak() && JFactory::getApplication()->isSite()) {
			$this->caching = JFactory::getConfig()->getValue('config.caching');
			JFactory::getConfig()->setValue('config.caching', 0);	
		}
	}

	function onAfterDispatch(){
		if ($this->checkK2Pagebreak() && JFactory::getApplication()->isSite()) {
			if ($this->caching == 1) {
				JFactory::getConfig()->setValue('config.caching', $this->caching);
			}
		}
	}

	function checkK2Pagebreak(){
		if (JRequest::getCmd('option', '') == 'com_k2' && (JRequest::getCmd('limitstart', 0) != 0 || JRequest::getCmd('start', 0) != 0)) {
			return true;
		}

		return false;
	}

}
